LINUX.ORG.RU

Невозможно установить/обновить пакеты

 , ,


0

1

Linux mint 18. Не могу обновить ни один пакет, ни установить новый. Постоянно получаю ошибку:

Настраивается пакет install-info (6.1.0.dfsg.1-5) …
/usr/sbin/update-info-dir: 5: /etc/environment: Syntax error: Unterminated quoted string
dpkg: ошибка при обработке пакета install-info (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 install-info
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ошибка при установке пакета. Попытка восстановления:
Настраивается пакет install-info (6.1.0.dfsg.1-5) …
/usr/sbin/update-info-dir: 5: /etc/environment: Syntax error: Unterminated quoted string
dpkg: ошибка при обработке пакета install-info (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2

В интернетах решения не нашел, прошу помощи у вас.

Ответ на: комментарий от DeadEye

На мой дилетантский взгляд в environment всё нормально.

  GNU nano 2.5.3            Файл: /etc/environment
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/lib/jvm/jdk1.8.0_102/bin:/usr/lib/jvm/jdk1.8.0_102/jre/bin"
JAVA_HOME="/usr/lib/jvm/jdk1.8.0_102"
JDK_HOME="/usr/lib/jvm/jdk1.8.0_102"
JRE_HOME='/usr/lib/jvm/jdk1.8.0_102/jre"

NorthWestern ()
Ответ на: комментарий от NorthWestern

Решение

Таки не всё нормально: В JRE_HOME одинарная кавычка вместо двойной. Спасибо за помощь. Теперь всё обновляется.

NorthWestern ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.